# SPDX-License-Identifier: MIT
%global forge_url   https://pagure.io/modist
%global commit      1bcad7f9f709ed5b15c55477a3123024991c8169
%forge_init

%global goipath pagure.io/modist

Version: 0.1
Release: 0.5%{?dist}
License: GPLv3+
URL:     %{forge_url}

BuildRequires: golang(github.com/jawher/mow.cli) >= 1.1.0
BuildRequires: golang-ipath(golang.org/x/mod) >= 0.2.0
BuildRequires: golang(golang.org/x/sys/unix)
BuildRequires: go-rpm-macros

Name:     modist
Summary:  A small utility to create and query Go (Golang) modules files

%description
modist is a small utility to create and query Go (Golang) modules files, mostly
in a Linux rpm distribution context. It was written to better understand the
requirements of a Fedora Linux Go switch to module mode.

%sourcelist
%forge_sources

%prep
%forge_prep

%build
%gomkdir
%gobuild -o modist cmd/modist/main.go

%install
install -m 0755 -vd        %{buildroot}/%{_bindir}
install -m 0755 -vp modist %{buildroot}/%{_bindir}/

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/*

%changelog

